Run of lintian-fixes for freeipa

Try this locally (using the lintian-brush package):

debcheckout freeipa
cd freeipa
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
[2021-04-03 05:28:12] Running ['lintian-brush']
[2021-04-03 05:28:12] Opening branch at https://salsa.debian.org/freeipa-team/freeipa.git/,branch=master
[2021-04-03 05:28:14] Cached branch URL https://janitor.debian.net/git/freeipa,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/freeipa/": location is a repository.
[2021-04-03 05:28:18] Total 134577 (delta 7364), reused 8407 (delta 6530), pack-reused 125081
[2021-04-03 05:28:18] 
[2021-04-03 05:30:36] Total 53 (delta 7), reused 47 (delta 2), pack-reused 0
[2021-04-03 05:30:36] 
[2021-04-03 05:30:36] Workspace ready - starting.
[2021-04-03 05:31:56] http://www.freeipa.org/ is redirected to https://www.freeipa.org/
gpg: key F40800B6298EB963: new key but contains no user ID - skipped
gpg: Total number processed: 1
gpg:           w/o user IDs: 1
[2021-04-03 05:32:54] Fixer 'pubkey' failed to run:
Script /srv/janitor/debian-janitor/lintian-brush/fixers/pubkey.py failed with exit code: 1
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/lintian-brush/fixers/pubkey.py", line 100, in <module>
    gr = c.verify(actual, sig)[1]
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 541, in verify
    raise errors.BadSignatures(results[1], results=results)
gpg.errors.BadSignatures: 840A1D1C7F3EC4B2FE5304354719E2B8ABBF621A: No public key

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/srv/janitor/debian-janitor/lintian-brush/fixers/pubkey.py", line 111, in <module>
    gr = c.verify(actual, sig)[1]
  File "/usr/lib/python3/dist-packages/gpg/core.py", line 541, in verify
    raise errors.BadSignatures(results[1], results=results)
gpg.errors.BadSignatures: 840A1D1C7F3EC4B2FE5304354719E2B8ABBF621A: No public key

[2021-04-03 05:32:54] only add-on fixers found
[2021-04-03 05:32:55] Opened schroot session unstable-amd64-sbuild-a4db139b-2e2d-4635-8efe-fbe708a91325 (from unstable-amd64-sbuild)
[2021-04-03 05:32:55] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f36e20121f0>, [functools.partial(<function python_tie_breaker at 0x7f36f5e224c0>, <GitWorkingTree of /tmp/tmpq24tspuq/freeipa>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-a4db139b-2e2d-4635-8efe-fbe708a91325'), <function popcon_tie_breaker at 0x7f36e203f670>]))]
[2021-04-03 05:32:55] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-03 05:40:12] Built ['freeipa_4.8.10-3~jan+lint1_amd64.changes'].
[2021-04-03 05:40:14] Running lintian
[2021-04-03 05:41:50] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 233, in run_worker
    import_branches(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 314, in import_branches
    import_branches_git(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 278, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 815, in fetch_refs
    new_refs = self.target.send_pack(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 949, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2001, in send_pack
    resp, read = self._smart_request(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1942, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
breezy.errors.ConnectionError: Connection error: while sending POST /git/freeipa/git-receive-pack: [Errno 32] Broken pipe

Summary

Full worker log Full build log